Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MetaExpandoProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaExpandoProperty

    public class MetaExpandoProperty
    extends MetaProperty

Represents a property in an Expando object

Version:
  $Revision: 20589 $
Author:
  John Stump

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class groovy.lang.MetaProperty
`name, PROPERTY_SET_PREFIX, type`

Constructor Summary
Constructor and Description
`MetaExpandoProperty(Map.Entry entry)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`Object` | `getProperty(Object object)`
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Methods inherited from class groovy.lang.MetaProperty
`getGetterName, getModifiers, getName, getSetterName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaExpandoProperty

    public MetaExpandoProperty(Map.Entry entry)

Method Detail

### getProperty

    public Object getProperty(Object object)

  Specified by:
    `getProperty` in class `MetaProperty`
  Returns:
    the property of the given object
  Throws:
    `Exception` - if the property could not be evaluated

### setProperty

    public void setProperty(Object object,
                            Object newValue)

  Sets the property on the given object to the new value

  Specified by:
    `setProperty` in class `MetaProperty`
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD